<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="Notify_ThreadPool_Supplier"
	ProjectGUID="{751BCCF4-FECA-1BAD-A3F9-4BE3B9FCD360}"
	RootNamespace="Notify_ThreadPool_Supplier"
	Keyword="Win32Proj"
	SignManifests="true"
	>
	<Platforms>
		<Platform
			Name="Pocket PC 2003 (ARMV4)"
		/>
		<Platform
			Name="Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Pocket PC 2003 (ARMV4)"
			OutputDirectory=".\PocketPC2003_ARMV4"
			IntermediateDirectory="Debug\Notify_ThreadPool_Supplier_WinCE\PocketPC2003_ARMV4"
			ConfigurationType="1"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,$(TAO_ROOT)\orbsvcs\tests\Notify\lib"
				PreprocessorDefinitions="_DEBUG;WIN32;_CONSOLE;_CRT_SECURE_NO_DEPRECATE;$(ARCHFAM);$(_ARCHFAM_);UNDER_CE=$(CEVER);_WIN32_WCE=$(CEVER);WINCE;$(PLATFORMDEFINES);_WINDOWS;_UNICODE;UNICODE;POCKETPC2003_UI_MODEL;TAO_HAS_TYPED_EVENT_CHANNEL"
				MinimalRebuild="false"
				ExceptionHandling="2"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				EnableFunctionLevelLinking="true"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG;TAO_HAS_TYPED_EVENT_CHANNEL"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,$(TAO_ROOT)\orbsvcs\tests\Notify\lib"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/subsystem:windowsce,4.20 /machine:ARM /ARMPADCODE"
				AdditionalDependencies="ACEd.lib TAOd.lib TAO_AnyTypeCoded.lib TAO_PortableServerd.lib TAO_Svc_Utilsd.lib TAO_CosEventd.lib TAO_CosNotificationd.lib TAO_CosEvent_Skeld.lib TAO_CosNotification_Skeld.lib TAO_ETCLd.lib TAO_DynamicAnyd.lib TAO_CosNotification_Servd.lib TAO_CodecFactoryd.lib TAO_PId.lib TAO_RTCORBAd.lib TAO_RT_Notificationd.lib TAO_CosNamingd.lib TAO_Valuetyped.lib TAO_Messagingd.lib TAO_DynamicInterfaced.lib TAO_IFR_Clientd.lib TAO_CosEvent_Servd.lib TAO_NotifyTestsd.lib TAO_RTPortableServerd.lib ccrtrtti.lib"
				OutputFile="$(OutDir)\Supplier.exe"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".\PocketPC2003_ARMV4;.;..\..\..\..\..\lib\PocketPC2003_ARMV4;..\..\..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="0"
				TargetMachine="3"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Pocket PC 2003 (ARMV4)"
			OutputDirectory="Release\PocketPC2003_ARMV4"
			IntermediateDirectory="Release\Notify_ThreadPool_Supplier_WinCE\PocketPC2003_ARMV4"
			ConfigurationType="1"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				AdditionalIncludeDirectories="..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,$(TAO_ROOT)\orbsvcs\tests\Notify\lib"
				PreprocessorDefinitions="NDEBUG;WIN32;_CONSOLE;_CRT_SECURE_NO_DEPRECATE;$(ARCHFAM);$(_ARCHFAM_);UNDER_CE=$(CEVER);_WIN32_WCE=$(CEVER);WINCE;$(PLATFORMDEFINES);_WINDOWS;_UNICODE;UNICODE;POCKETPC2003_UI_MODEL;TAO_HAS_TYPED_EVENT_CHANNEL"
				ExceptionHandling="2"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG;TAO_HAS_TYPED_EVENT_CHANNEL"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,$(TAO_ROOT)\orbsvcs\tests\Notify\lib"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/subsystem:windowsce,4.20 /machine:ARM /ARMPADCODE"
				AdditionalDependencies="ACE.lib TAO.lib TAO_AnyTypeCode.lib TAO_PortableServer.lib TAO_Svc_Utils.lib TAO_CosEvent.lib TAO_CosNotification.lib TAO_CosEvent_Skel.lib TAO_CosNotification_Skel.lib TAO_ETCL.lib TAO_DynamicAny.lib TAO_CosNotification_Serv.lib TAO_CodecFactory.lib TAO_PI.lib TAO_RTCORBA.lib TAO_RT_Notification.lib TAO_CosNaming.lib TAO_Valuetype.lib TAO_Messaging.lib TAO_DynamicInterface.lib TAO_IFR_Client.lib TAO_CosEvent_Serv.lib TAO_NotifyTests.lib TAO_RTPortableServer.lib ccrtrtti.lib"
				OutputFile="$(OutDir)\Supplier.exe"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".\PocketPC2003_ARMV4;.;..\..\..\..\..\lib\PocketPC2003_ARMV4;..\..\..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="0"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="3"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
			OutputDirectory=".\WinMobile50_PocketPC_ARMV4I"
			IntermediateDirectory="Debug\Notify_ThreadPool_Supplier_WinCE\WinMobile50_PocketPC_ARMV4I"
			ConfigurationType="1"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,$(TAO_ROOT)\orbsvcs\tests\Notify\lib"
				PreprocessorDefinitions="_DEBUG;WIN32;_CONSOLE;_CRT_SECURE_NO_DEPRECATE;$(ARCHFAM);$(_ARCHFAM_);UNDER_CE=$(CEVER);_WIN32_WCE=$(CEVER);WINCE;$(PLATFORMDEFINES);_WINDOWS;_UNICODE;UNICODE;POCKETPC2003_UI_MODEL;TAO_HAS_TYPED_EVENT_CHANNEL"
				MinimalRebuild="false"
				ExceptionHandling="2"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG;TAO_HAS_TYPED_EVENT_CHANNEL"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,$(TAO_ROOT)\orbsvcs\tests\Notify\lib"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/subsystem:windowsce,5.01 /machine:THUMB"
				AdditionalDependencies="ACEd.lib TAOd.lib TAO_AnyTypeCoded.lib TAO_PortableServerd.lib TAO_Svc_Utilsd.lib TAO_CosEventd.lib TAO_CosNotificationd.lib TAO_CosEvent_Skeld.lib TAO_CosNotification_Skeld.lib TAO_ETCLd.lib TAO_DynamicAnyd.lib TAO_CosNotification_Servd.lib TAO_CodecFactoryd.lib TAO_PId.lib TAO_RTCORBAd.lib TAO_RT_Notificationd.lib TAO_CosNamingd.lib TAO_Valuetyped.lib TAO_Messagingd.lib TAO_DynamicInterfaced.lib TAO_IFR_Clientd.lib TAO_CosEvent_Servd.lib TAO_NotifyTestsd.lib TAO_RTPortableServerd.lib"
				OutputFile="$(OutDir)\Supplier.exe"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".\WinMobile50_PocketPC_ARMV4I;.;..\..\..\..\..\lib\WinMobile50_PocketPC_ARMV4I;..\..\..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="0"
				TargetMachine="3"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
			OutputDirectory="Release\WinMobile50_PocketPC_ARMV4I"
			IntermediateDirectory="Release\Notify_ThreadPool_Supplier_WinCE\WinMobile50_PocketPC_ARMV4I"
			ConfigurationType="1"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				AdditionalIncludeDirectories="..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,$(TAO_ROOT)\orbsvcs\tests\Notify\lib"
				PreprocessorDefinitions="NDEBUG;WIN32;_CONSOLE;_CRT_SECURE_NO_DEPRECATE;$(ARCHFAM);$(_ARCHFAM_);UNDER_CE=$(CEVER);_WIN32_WCE=$(CEVER);WINCE;$(PLATFORMDEFINES);_WINDOWS;_UNICODE;UNICODE;POCKETPC2003_UI_MODEL;TAO_HAS_TYPED_EVENT_CHANNEL"
				ExceptionHandling="2"
				RuntimeLibrary="2"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG;TAO_HAS_TYPED_EVENT_CHANNEL"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,$(TAO_ROOT)\orbsvcs\tests\Notify\lib"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/subsystem:windowsce,5.01 /machine:THUMB"
				AdditionalDependencies="ACE.lib TAO.lib TAO_AnyTypeCode.lib TAO_PortableServer.lib TAO_Svc_Utils.lib TAO_CosEvent.lib TAO_CosNotification.lib TAO_CosEvent_Skel.lib TAO_CosNotification_Skel.lib TAO_ETCL.lib TAO_DynamicAny.lib TAO_CosNotification_Serv.lib TAO_CodecFactory.lib TAO_PI.lib TAO_RTCORBA.lib TAO_RT_Notification.lib TAO_CosNaming.lib TAO_Valuetype.lib TAO_Messaging.lib TAO_DynamicInterface.lib TAO_IFR_Client.lib TAO_CosEvent_Serv.lib TAO_NotifyTests.lib TAO_RTPortableServer.lib"
				OutputFile="$(OutDir)\Supplier.exe"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".\WinMobile50_PocketPC_ARMV4I;.;..\..\..\..\..\lib\WinMobile50_PocketPC_ARMV4I;..\..\..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="0"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="3"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="ORB_Objects.cpp">
			</File>
			<File
				RelativePath="ORB_Run_Task.cpp">
			</File>
			<File
				RelativePath="Supplier.cpp">
			</File>
			<File
				RelativePath="Supplier_Client.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="ORB_Objects.h">
			</File>
			<File
				RelativePath="ORB_Run_Task.h">
			</File>
			<File
				RelativePath="Supplier.h">
			</File>
			<File
				RelativePath="Supplier_Client.h">
			</File>
		</Filter>
		<Filter
			Name="Documentation"
			Filter="">
			<File
				RelativePath="README">
				<FileConfiguration
					Name="Debug|Pocket PC 2003 (ARMV4)"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Pocket PC 2003 (ARMV4)"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
